#!/usr/bin/python

import smbus
import time

SMBUS_NUMBER = 1
SMBUS_ADDR = 0x77
SMBUS_REG_CONF = 0xF5
SMBUS_REG_CTRL_MEAS = 0xF4
SMBUS_REG_CTRL_HUM = 0xF2

dig_T = []
dig_P = [] 
dig_H = [] 
calib = {}

n = 0x88
while n <= 0xA1:
    calib[n] = 0
    n = n + 1

n = 0xE1
while n <= 0xF0:
    calib[n] = 0
    n = n + 1

n = 0xF7
while n <= 0xFE:
    calib[n] = 0
    n = n + 1

bus = smbus.SMBus(SMBUS_NUMBER)
bus.write_byte_data(SMBUS_ADDR,SMBUS_REG_CONF,0xA0)
bus.write_byte_data(SMBUS_ADDR,SMBUS_REG_CTRL_HUM,0x01)
bus.write_byte_data(SMBUS_ADDR,SMBUS_REG_CTRL_MEAS,0x25)
time.sleep(0.1)

for k in calib.keys():
    calib[k] = bus.read_byte_data(SMBUS_ADDR, k)

for k,v in calib.items():
    print "0x%02X -> 0x%02X" % (k,v)

